<?php
defined('LOOTY') or die('direct access to this file is not allowed');

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title><?=localise('@@1@@ Guild Bank', $guildname_plain)?></title>
	<link rel="stylesheet" type="text/css" href="bits/bank.css" />
	<meta name="Abstract" content="<?=localise('@@1@@ Guild Bank', $guildname_plain)?>" />
	<meta name="Description" 
		content="<?=localise("List of items currently held in the guild bank for @@1@@ of the @@2@@ realm.", $guildname_plain, $guildserver)?>" />
	<meta name="Author" content="<?=htmlspecialchars($lootycredits)?>" />
	<meta name="X-Looty-Version" content="<?=$lootydate?> v<?=$lootyver?>" />
	<? if ($showtooltips) { ?><script type="text/javascript" src="bits/tooltips.js"></script><? } ?>
</head>

<body>

<p></p>
<!-- header -->
<table width="600" cellpadding="4" cellspacing="0" class="loot">
	<tr>
		<td class="loothead banktitle"><?=localise('@@1@@ Guild Bank', $guildname_plain)?></td>
	</tr><tr>
		<td><?=localise('Below is listed the contents of the guild bank for <b>@@1@@</b>.', $guildname_plain)?></td>
	</tr><tr>
		<td><?=localise('Please contact <b>@@1@@</b> with any questions.', $guildmaster)?></td>
	</tr>
</table>

<form action="<?=$myurl?>" name="looty">

<input type="hidden" name="char" value="<?=$char?>" />
<input type="hidden" name="expand" value="<?=$expand?>" />

<p></p>
<table class="loot" cellpadding="4" cellspacing="0">
<tr>
  <?
  $loot_text = ($numlootchars > 1)
    ? localise('Search for an item or list by category:')
    : localise('Search for an item');
  ?>
	<td colspan="2" class="loothead"><?=$loot_text?></td>
</tr><tr>
	<td class="item" colspan="2"><table cellpadding="2" cellspacing="0" width="100%"><tr>
		<td width="40%">
<? if ($numlootchars > 1) { ?>
			<select class="wide"  
				name="charchooser" 
				onchange="document.location='<?=$myurl?>?<?=get_url_params()?>&amp;filter=' 
					+ looty.filter.value 
					+ '&amp;char=' 
					+ this.options[this.selectedIndex].value;">
				<option value=""><?=localise('list all items in the bank')?></option>
<?  foreach ($allchars as $tmpchar => $tmpdesc) { 
      $selected = ($tmpchar == $char) ? ' selected' : '';
?>
				<option value="<?=htmlspecialchars($tmpchar)?>"<?=$selected?>><?=$tmpdesc?></option>
<? } ?>
			</select>

<? } ?>
		</td>
		<td width="40%">
			<select class="wide" name="itemclass" 
			onchange="document.location='<?=$myurl?>?<?=get_url_params()?>&amp;filter=' 
					+ looty.filter.value 
					+ '&amp;itemclass=' 
					+ this.options[this.selectedIndex].value;">
				<option value=""><?=localise('any quality')?></option>
<? foreach ($itemclasses as $tmpclass) { 
    $selected = ($itemclassindex[$tmpclass] == $itemclass) 
      ? ' selected' 
      : '';
?>
				<option value="<?=htmlspecialchars($tmpclass)?>"<?=$selected?>><?=$L[$tmpclass]?></option>
<? } ?>
			</select>
		</td>
		<td><?=localise('min&nbsp;level:')?></td>
		<td><input type="text" name="minlevel" value="<?=$minlevel?>" size="4" class="level" /></td>
		<td><?=localise('max&nbsp;level:')?></td>
		<td><input type="text" name="maxlevel" value="<?=$maxlevel?>" size="4" class="level" /></td>
	</tr></table></td></tr><tr>
		<td class="item"><input type="text" name="filter" class="filter" value="<?=htmlspecialchars(stripslashes($filter))?>" /></td>
		<td class="item"><input type="submit" value="go" class="submit" /></td>
	</tr>
</table>
</form>
<? if (!$total) { ?>
<p></p>
<table cellpadding="4" cellspacing="0">
<tr>
	<td class="notfound"><?=localise('No items found for @@1@@', $char)?></td>
</tr>
<? } else {
  // abstracted these out to make localisation easier
  $matching = $char
    ? localise('Matching items held by <b>@@1@@</b>', $char)
    : localise("Matching all items in the guild bank");
  $item_number = ($total == 1) 
    ? localise('item')
    : localise('items');
  $expand_text = ($expand == 'expand') 
    ? localise('collapse')
    : localise('expand');
  $expand_next = ($expand == 'expand')
    ? 'collapse'
    : 'expand';
  $gold_text  = $char 
    ? localise("balance for @@1@@:", $char)
    : localise('overall balance:');

?>
<p></p>
<table class="loot" cellpadding="4" cellspacing="0" width="600">
<tr><td colspan="<?=$colspan?>" class="divider">
	<table cellpadding="0" cellspacing="0" width="100%">

	<tr>
	  <td class="emphasise"><?=$matching?> (<?=$total?> <?=$item_number?>) -  [<a href="<?=get_relative_url($expand_next)?>"><?=$expand_text?></a>]</td>

<? if ($showmoney) { ?>
	<td class="emphasise" align="right">
	  <?=$gold_text?>
	  <span class="gold"><?=$money['gold']?>g </span>
	  <span class="silver"><?=$money['silver']?>s </span>
	  <span class="copper"><?=$money['copper']?>c </span>
	</td>
<?	} ?>
	</tr>

	</table>
</td></tr>

<tr>
<? if ($showicons) { ?>
  <td class="loothead" align="right">&rarr;</td>
<?	} ?>
  <td class="loothead"><?=localise('item name')?></td>
  <td class="loothead" align="right"><?=localise('quantity')?></td>
<? if (!$char && $guild) { ?>
  <td class="loothead"><a class="loothead" href="<?=get_relative_url()?>"><?=localise('owner')?></a></td>
<?	} ?>
  <td class="loothead">&nbsp;</td>
</tr>

<?
foreach ($items as $thischar => $loot) {
	if (true || !$char) {
	  $lastupdatetext = $showlastupdatetime 
	                      ? localise("(Last updated at @@1@@)", get_last_update_time($thischar)) 
	                      : '';
?>
<tr><td colspan="<?=$colspan?>" class="divider"><?=$thischar?><?=$lastupdatetext?></td></tr>
<?		
} 

foreach ($loot as $key => $item) {

      $tdclass   = $tdclasses[($count++ % 2)];
      $tooltipjs = $showtooltips ? "onmouseover=\"showTip(event, 'sub$key', $tipsfollowmouse)\" onmouseout=\"hideTip(event, 'sub$key')\"" : '';
      $itemlevel = ($item['level'] && $showlevel) ? " [{$item['level']}]" : '';
      $itemamount = ($item['amount'] > 1) ? "x{$item['amount']}" : '';
      
?>

<tr>
<? 		if ($showicons) { ?>
  <td class="<?=$tdclass?>">
    <span <?=$tooltipjs?>> 
      <img src='<?=$item['icon']?>.jpg' height="20" width="20" alt="<?=$item['name']?>" />
    </span>
  </td>
<?			} ?>
  <td class="<?=$tdclass?> itemname" width="100%">
    <span <?=$tooltipjs?> class="<?=$item['class']?>"><?=$item['name']?></span>
    <?=$itemlevel?>
    <div id="sub<?=$key?>" class="tooltip"><?=$item['tooltip']?><?$debug ? pre($item) : '';?></div>
  </td>
  <td class="<?=$tdclass?> itemamount" align="right"><?=$itemamount?></td>

<?		if (!$char && $guild) { ?>
  <td class="<?=$tdclass?>" class="linklist" ><a href="<?=$myurl . "?char=" . $item['player'] . "&amp;sort=" . $sort?>"><?=$item['player']?></a></td>

<?			} ?>
  <td class="<?=$tdclass?>" class="linklist" ><?=pretty_url_list($locale, $item['id'][0], $item['name']);?></td>
</tr>

<?		if ($expand == 'expand') { ?>

<tr>
  <td>&nbsp;</td>
  <td colspan="<?=$colspan?>"><?=join('<br />', $item['info'])?></td>
</tr>

<?			} 
		} 
	}
} ?>

</table>

<?
if ($debug) {
  display_debug_vars();
}
?>
</body>
</html>