<?php
defined('LOOTY') or die('direct access to this file is not allowed');

/*-----------------
  DATABASE SETTINGS
  -----------------*/

// only set if you wish to use details other than that of Guild Roster's
$dbhost	= 'localhost';	// hostname of the database server
$dbname	= '';		// name of the database containing character data
$dbuser	= '';		// username to connect with
$dbpass	= '';		// password

$dbprefix = '';		// prefix for db table names



/*-------------
  GUILD DETAILS :: information about your guild
  -------------*/

$guildname	= '';	// required
$guildmaster	= '';	// required
$guildurl	= '';	// not required
$guildserver	= '';	// free text

$locale = 'enUS'; // locale for WoW data: enUS = english (US&UK), deDE = german, frFR = french
$allowdebug = 1; // this defaults to 1 (yes) during testing. production has this turned off.

/*---------------
  DISPLAY OPTIONS :: page layout - set values, or use 1 for on, 0 for off
  ---------------*/

$showmoney	= 1;	// whether to display the bank balance
$showicons	= 1;	// whether to show icons next to item names
$showtooltips	= 1;	// whethre to show tooltips on mouseover or not
$tipsfollowmouse = 0; // set to 1 the tooltips will follow the mouse pointer around (1.2+)
$longdisplay	= 0;	// default to show item descriptions or not
$searchtips	= 1;	// search tooltips when filtering items?
$showlevel	= 1;	// whether to show required levels in the list

$hidequest	= 1;	// hide quest items?
$hidesoulbound	= 1;	// hide souldbound items?
$hideequipped	= 1;	// hide equipped items?

$showlastupdatetime = 1;

$iconurlbase	= '';	// base URL to icons (eg: /roster/img)



/*---------------
  BANK CHARACTERS :: characters used as mules for the guild bank
  ---------------*/

// NB: if you only have one character used as the guild bank, you
// only need to set the value for $bankchar here. If your guild uses
// multiple characters to hold bank items, see below.

$bankchar	= '';	// single bank character


// Multiple bank characters:

$bankchars = array(
	// add new bank character names in this format:

	//   '<CHARACTER NAME>'	=> '<CHARACTER DESCRIPTION>',
	//
	// eg:
	//
	//   'Guildbankchar'	=> 'Receives all donations from the guild',

	''	=> '',
);
	
?>
